## symfony 6.4.7+dfsg

=== debian/changelog ===
symfony (6.4.7+dfsg-1ubuntu1) oracular; urgency=medium

  * Sync with Debian. Remaining change:
    - Add patch to skip tests incompatible with ICU 74

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 30 Jun 2024 17:55:31 -0400

symfony (6.4.7+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.7

  [ David Prévot ]
  * Update Standards-Version to 4.7.0
  * Update copyright for duplicated image
  * php-symfony-filesystem: Update homemade autoload

 -- David Prévot <taffit@debian.org>  Thu, 02 May 2024 08:25:09 +0200

symfony (6.4.6+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.6

  [ David Prévot ]
  * Drop signature check (latest upstream tag is not PGP-signed)
  * Update copyright for new image

 -- David Prévot <taffit@debian.org>  Sun, 07 Apr 2024 11:31:35 +0200

symfony (6.4.5+dfsg-4) unstable; urgency=medium

  * Skip test failing in ppc64el
  * [ProxyManagerBridge] Relax expected output

 -- David Prévot <taffit@debian.org>  Tue, 26 Mar 2024 08:17:59 +0000

## symfony 6.4.10+dfsg

=== debian/changelog ===
symfony (6.4.10+dfsg-1ubuntu1) oracular; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Add patch to skip tests incompatible with ICU 74
  * New changes:
    - d/patches: make xml schema deterministic
    - Disable failing tests

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 15 Aug 2024 10:46:17 -0300

symfony (6.4.10+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.10

 -- David Prévot <taffit@debian.org>  Sat, 27 Jul 2024 11:33:18 +0900

symfony (6.4.9+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.9

  [ David Prévot ]
  * php-symfony-filesystem: Update homemade autoload

 -- David Prévot <taffit@debian.org>  Tue, 23 Jul 2024 15:50:44 +0900

=== debian/control ===
Source: symfony
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
Section: php
Priority: optional
Standards-Version: 4.7.0
Build-Depends: debhelper-compat (= 13),
               dh-sequence-phpcomposer,
               pkg-php-tools
Build-Depends-Indep: composer,
                     dctrl-tools,
                     file,
                     jq,
                     locales-all,
                     parallel,
                     php-amqp,
                     php-apcu,
                     php-async-aws-ses,
                     php-async-aws-sns,
                     php-async-aws-sqs,
                     php-cache-integration-tests,
                     php-curl,
                     php-doctrine-annotations,
                     php-doctrine-data-fixtures,
                     php-doctrine-orm,
                     php-dragonmantank-cron-expression,
                     php-email-validator,
                     php-friendsofphp-proxy-manager-lts,
                     php-gd,
                     php-guzzlehttp-promises,
                     php-http-httplug,
                     php-http-message-factory,
                     php-intl,
                     php-ldap,
                     php-league-html-to-markdown,
                     php-league-uri,
                     php-masterminds-html5,
                     php-mbstring,
                     php-memcached,
                     php-monolog,
                     php-nyholm-psr7,
                     php-pda-pheanstalk,
                     php-pgsql,
                     php-phpdbg,
                     php-phpdocumentor-reflection-docblock,
                     php-phpstan-phpdoc-parser,
                     php-predis,
                     php-psr-cache (>= 2),
                     php-psr-clock,
                     php-psr-container,
                     php-psr-http-client,
                     php-psr-link,
                     php-psr-log,
                     php-psr-simple-cache,
                     php-redis,
                     php-sqlite3,
                     php-symfony-contracts (>= 3),
                     php-symfony-mercure-bundle,
                     php-symfony-polyfill-php83,
                     php-symfony-security-acl,
                     php-twig,
                     php-twig-cssinliner-extra,
                     php-twig-inky-extra,
                     php-twig-markdown-extra,
                     php-uuid,
                     phpab,
                     phpunit
Homepage: https://symfony.com/
Vcs-Browser: https://salsa.debian.org/php-team/pear/symfony
Vcs-Git: https://salsa.debian.org/php-team/pear/symfony.git -b debian/6
Rules-Requires-Root: no

Package: php-symfony
Architecture: all
Depends: ${misc:Depends},
         ${phpcomposer:Debian-replace},
         ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Breaks: ${phpcomposer:Debian-conflict}
Provides: ${phpcomposer:Debian-provide}
Description: set of reusable components and framework for web projects
 ${phpcomposer:description} allows one to create websites and web
 applications. It’s a set of tools and a development methodology.
 .
 This package depends on every component. Applications depending on
 Symfony should rather depend on individual components actually needed
 by them.

Package: php-symfony-asset
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/6.4/components/asset.html
Description: manage asset URLs
 The Symfony Asset Component manages URL generation and versioning of
 web assets such as CSS stylesheets, JavaScript files and image files.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-asset-mapper
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Description: maps directories of asset and makes them available in a public directory
 The Symfony AssetMapper Component allows one to expose directories of assets
 that are then moved to a public directory with digested (i.e. versioned)
 filenames. It also allows one to dump an importmap to allow writing modern
 JavaScript without a build system.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-browser-kit
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/6.4/components/browser_kit.html
Description: simulate the behavior of a web browser
 The Symfony BrowserKit Component simulates the behavior of a web browser,
 allowing you to make requests, click on links and submit forms
 programmatically.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-cache
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/6.4/components/cache.html
Description: provides extended PSR-6, PSR-16 (and tags) implementations
 The Symfony Cache Component provides extended PSR-6 implementations for
 adding cache to applications. It is designed to have a low overhead so
 that caching is fastest. It ships with adapters for the most widespread
 caching backends. It also provides a PSR-16 adapter, and implementations
 for `symfony/cache-contracts` `CacheInterface` and `TagAwareCacheInterface`.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-config
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/6.4/components/config.html
Description: load configurations from different data sources
 The Symfony Config Component provides the infrastructure for loading
 configurations from different data sources and optionally monitoring
 these for changes. Additional tools for validating, normalizing and
 handling of defaults are provided.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-clock
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/6.4/components/clock.html
Description: ${phpcomposer:description}
 The Symfony Clock Component decouples applications from the system clock.
 This allows one to fix time to improve testability of time-sensitive logic.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-console
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/6.4/components/console.html
Description: run tasks from the command line
 The Symfony Console Component can be used to implement recurring
 or long running tasks, such as cronjobs, imports or other batch
 jobs. Additionally it assists the creation of nice looking command
 line interfaces.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-css-selector
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/6.4/components/css_selector.html
Description: convert CSS selectors to XPath expressions
 The Symfony CssSelector Component can be used to convert CSS selectors
 to XPath expressions. It basically is a port of the Python lxml library.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-dependency-injection
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/6.4/components/dependency_injection.html
Description: standardize and centralize construction of objects
 The Symfony DependencyInjection Component allows one to standardize and
 centralize the way objects are constructed in an application.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-dom-crawler
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/6.4/components/dom_crawler.html
Description: ease DOM navigation for HTML and XML documents
 The Symfony DomCrawler Component provides methods to query and
 manipulate HTML and XML documents.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-dotenv
Multi-Arch: foreign
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/6.4/components/dotenv.html
Description: .env files parser to make environment variables accessible
 The Symfony Dotenv Component parses .env files to make environment variables
 stored in them accessible via getenv(), $_ENV, or $_SERVER.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-error-handler
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://symfony.com/doc/6.4/components/error_handler.html
Description: manage errors and ease debugging
 The Symfony ErrorHandler Component provides tools to manage errors and ease
 debugging PHP code.
 .
 Symfony is a PHP framework, a set of tools and a development methodology.

Package: php-symfony-event-dispatcher
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}

## symfony 6.4.11+dfsg

=== debian/changelog ===
symfony (6.4.11+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.11

  [ David Prévot ]
  * Skip failing tests (Closes: #1073470)

 -- David Prévot <taffit@debian.org>  Sun, 01 Sep 2024 11:24:04 +0200

## symfony 6.4.12+dfsg

=== debian/changelog ===
symfony (6.4.12+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.12

 -- David Prévot <taffit@debian.org>  Sun, 22 Sep 2024 11:00:20 +0200

## symfony 6.4.13+dfsg

=== debian/changelog ===
symfony (6.4.13+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.13

 -- David Prévot <taffit@debian.org>  Mon, 28 Oct 2024 07:51:29 +0100

## symfony 6.4.14+dfsg

=== debian/changelog ===
symfony (6.4.14+dfsg-1) unstable; urgency=medium

  [ Nicolas Grekas ]
  * [HttpClient] Filter private IPs before connecting when Host == IP
    [CVE-2024-50342]
  * [HttpFoundation] Reject URIs that contain invalid characters
    [CVE-2024-50345]
  * [Process] Use %PATH% before %CD% to load the shell on Windows
    [CVE-2024-51736]

  [ Fabien Potencier ]
  * Update VERSION for 6.4.14

  [ Wouter de Jong ]
  * Do not read from argv on non-CLI SAPIs [CVE-2024-50340]

  [ David Prévot ]
  * Update 6.4.10+dfsg-1 changelog entry to document [CVE-2024-50341]
  * Update 6.4.11+dfsg-1 changelog entry to document [CVE-2024-50343]

 -- David Prévot <taffit@debian.org>  Fri, 08 Nov 2024 08:01:14 +0100

## symfony 6.4.15+dfsg

=== debian/changelog ===
symfony (6.4.15+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.15

  [ Jérémy Derussé ]
  * [security-http] Check owner of persisted remember-me cookie
    [CVE-2024-51996]

  [ Nicolas Grekas ]
  * [HttpClient] Resolve hostnames in NoPrivateNetworkHttpClient
    [CVE-2024-50342]

 -- David Prévot <taffit@debian.org>  Thu, 14 Nov 2024 10:37:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: symfony
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
+Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
 Section: php
 Priority: optional
@@ -276,3 +275,5 @@
 Replaces: ${phpcomposer:Debian-replace}
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
+Homepage: https://symfony.com/doc/6.4/components/event_dispatcher.html
+Description: dispatch events and listen to them

## symfony 6.4.16+dfsg

=== debian/changelog ===
symfony (6.4.16+dfsg-2) unstable; urgency=medium

  * [Yaml] Drop data set currently failing on i386 (Closes: #1090309)

 -- David Prévot <taffit@debian.org>  Mon, 23 Dec 2024 14:20:17 +0100

symfony (6.4.16+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.16

 -- David Prévot <taffit@debian.org>  Wed, 27 Nov 2024 13:59:55 +0100

## symfony 6.4.17+dfsg

=== debian/changelog ===
symfony (6.4.17+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.17

  [ David Prévot ]
  * phpab: exclude PhpStanExtractorTest.php

 -- David Prévot <taffit@debian.org>  Thu, 02 Jan 2025 13:58:12 +0100

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Check if licenses of all images are properly covered in d/copyright
	./debian/licensing/bin/check_image_licenses --check
else
	@echo "** image license check disabled"
endif
	phpab \
		--template debian/autoload.php.tpl \
		--output src/Symfony/autoload.php \
		src/Symfony/Bundle/FullStack.php
	mkdir --parents debian/packages_to_build debian/autoloaders
	# Walk through the parts of upstream's code that should be packaged into
	# separate Debian binary packages and write down a package-to-build info
	# file containing shell variables for each package.
	# Those files will be traverse later on in different targets of this
	# makefile (debian/rules). They solely exists to not repeat the extraction
	# of those variables in each of those target over and over again.
	# Then, build a class loader for the package, using the template in
	# debian/$deb_pkg_name.autoload.php.tpl if it exists (to load dependencies).
	set -e;\
	 for src_path in $$(find src/Symfony/ -mindepth 2 -maxdepth 4 -type d); do \
	  if [ -e $$src_path/composer.json ]; then \
	   pkg_path=$${src_path#src/Symfony/}; \
	   deb_pkg_name=php-$$(cat $$src_path/composer.json | jq -r '.name | tostring' | sed -r 's|/|-|'); \
	   if [ $$(grep -c -E -e "^Package: $$deb_pkg_name\$$" debian/control) -ne 1 ]; then \
	    echo "W: No Debian package '$$deb_pkg_name' defined in debian/control," 1>&2; \
	    echo "   therefor not considering Symfony $$pkg_path," 1>&2; \
	    continue; \
	   fi; \
	   echo "# This file contains some variables sourced" > debian/packages_to_build/$$deb_pkg_name; \
	   echo "# by various targets in debian/rules" >> debian/packages_to_build/$$deb_pkg_name; \
	   echo "deb_pkg_name='$$deb_pkg_name'" >> debian/packages_to_build/$$deb_pkg_name; \
	   echo "src_path='$$src_path'" >> debian/packages_to_build/$$deb_pkg_name; \
	   echo "pkg_path='$$pkg_path'" >> debian/packages_to_build/$$deb_pkg_name; \
	   echo "symfony $${deb_pkg_name#php-symfony-} Symfony/$$pkg_path/autoload.php" > debian/autoloaders/$$deb_pkg_name; \
	   if [ \( $$deb_pkg_name = php-symfony-mailer \) -o \
		\( $$deb_pkg_name = php-symfony-messenger \) -o \
		\( $$deb_pkg_name = php-symfony-notifier \) -o \
		\( $$deb_pkg_name = php-symfony-translation \) ] ; then \
	    phpab --output $$src_path/autoload.php \
		--blacklist '*\\tests\\*' \
		--blacklist '*\\bridge\\*' \
		--exclude 'src/Symfony/Component/Messenger/Tests/Exception/HandlerFailedExceptionTest.php' \
		--whitelist 'symfony\\*' \
		--template debian/$$deb_pkg_name.autoload.php.tpl \
		$$src_path; \
	   else \
	    phpab --output $$src_path/autoload.php \
		--blacklist '*\\tests\\*' \
		--blacklist 'symfony\\config\\*' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/Fixtures/DoctrineLoaderEmbed.php' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/Fixtures/DoctrineLoaderEntity.php' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/Fixtures/EmbeddedIdentifierEntity.php' \
		--exclude 'src/Symfony/Bridge/Doctrine/Tests/PropertyInfo/Fixtures/DoctrineWithEmbedded.php' \
		--exclude 'src/Symfony/Bridge/ProxyManager/Tests/LazyProxy/PhpDumper/Fixtures/proxy-implem.php' \
		--exclude 'src/Symfony/Component/DependencyInjection/Tests/Fixtures/php/*' \
		--exclude 'src/Symfony/Component/PropertyInfo/Tests/Extractor/PhpStanExtractorTest.php' \
		--exclude 'src/Symfony/Component/Routing/Tests/Fixtures/AttributesFixtures/*' \
		--whitelist 'symfony\\*' \
		--tolerant \
		--template debian/$$deb_pkg_name.autoload.php.tpl \
		$$src_path; \
	   fi; \
	  fi; \
	 done

override_dh_auto_test:
	mkdir --parents vendor build
	cp -r src/Symfony build
	rm -r build/Symfony/Contracts
	cp debian/autoload_runtime.php vendor
	phpab	--output vendor/autoload.php \
		--whitelist '*\\tests\\*' \
		--tolerant \
		--template debian/autoload.php.tests.tpl \
		--blacklist 'symfony\\component\\dependencyinjection\\tests\\fixtures\\container\\projectservicecontainer' \
		--exclude 'build/Symfony/Bridge/Doctrine/Tests/Fixtures/DoctrineLoaderEmbed.php' \
		--exclude 'build/Symfony/Bridge/Doctrine/Tests/Fixtures/DoctrineLoaderEntity.php' \
		--exclude 'build/Symfony/Bridge/Doctrine/Tests/Fixtures/EmbeddedIdentifierEntity.php' \
		--exclude 'build/Symfony/Bridge/Doctrine/Tests/PropertyInfo/Fixtures/DoctrineWithEmbedded.php' \
		--exclude 'build/Symfony/Bridge/ProxyManager/Tests/LazyProxy/PhpDumper/Fixtures/proxy-implem.php' \
		--exclude 'build/Symfony/Component/DependencyInjection/Tests/Fixtures/php/*' \
		--exclude 'build/Symfony/Component/Messenger/Tests/Exception/HandlerFailedExceptionTest.php' \
		--exclude 'build/Symfony/Component/PropertyInfo/Tests/Extractor/PhpStanExtractorTest.php' \
		--exclude 'build/Symfony/Component/Routing/Tests/Fixtures/AttributesFixtures/*' \
		build/Symfony
	ln -s /usr/share/php/AsyncAws build
	ln -s /usr/share/php/Cache build
	ln -s /usr/share/php/Composer build
	ln -s /usr/share/php/Cron build
	ln -s /usr/share/php/Doctrine build
	ln -s /usr/share/php/Egulias build
	ln -s /usr/share/php/GuzzleHttp build
	ln -s /usr/share/php/Http build
	ln -s /usr/share/php/League build
	ln -s /usr/share/php/Masterminds build
	ln -s /usr/share/php/Monolog build
	ln -s /usr/share/php/Nyholm build
	ln -s /usr/share/php/Pheanstalk build
	ln -s /usr/share/php/phpDocumentor build
	ln -s /usr/share/php/PHPStan build
	ln -s /usr/share/php/PHPUnit build
	ln -s /usr/share/php/Predis build
	ln -s /usr/share/php/ProxyManager build
	ln -s /usr/share/php/Psr build
	ln -s /usr/share/php/Symfony/Contracts build/Symfony
	ln -s /usr/share/php/Symfony/Component/Mercure build/Symfony/Component
	ln -s /usr/share/php/Symfony/Component/Security/Acl build/Symfony/Component/Security
	ln -s /usr/share/php/Symfony/Polyfill build/Symfony
	ln -s /usr/share/php/Twig build
	ln -s build/Symfony .
	# Actual tests suite
	components=$$(find build/Symfony -mindepth 3 -maxdepth 4 -type f -name phpunit.xml.dist -printf '%h\n') && \
	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; SYMFONY_DEPRECATIONS_HELPER=weak php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --include build --colors=always --exclude-group jwt,network,tty,benchmark,intl-data,functional,composer {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';

override_dh_phpcomposer:
	dh_phpcomposer --package=php-symfony --sourcedirectory=./
	# In debian/packages_to_build/ a file containing shell variables exists
	# for each package that should be build. Source one file after another
	# to make the shell variables available and run dh_phpcomposer for each
	# package.
	set -e;\
	 for package_info_file in $$(find debian/packages_to_build/ -mindepth 1 -maxdepth 1 -type f); do \
	  . $$package_info_file; \
	  dh_phpcomposer --package=$$deb_pkg_name --sourcedirectory=$$src_path; \
	 done

override_dh_install:
	dh_install --package=php-symfony
	# In debian/packages_to_build/ a file containing shell variables exists
	# for each package that should be build. Source one file after another
	# to make the shell variables available and run dh_install in order to
	# provide the PHP runtime code for each package.
	set -e; \
	 for package_info_file in $$(find debian/packages_to_build/ -mindepth 1 -maxdepth 1 -type f); do \
	  . $$package_info_file; \
	  dh_install --package=$$deb_pkg_name; \
	  dh_install --package=$$deb_pkg_name \
	      debian/autoloaders/$$deb_pkg_name usr/share/pkg-php-tools/autoloaders; \
	  if [ \( $$deb_pkg_name = php-symfony-mailer \) -o \
	       \( $$deb_pkg_name = php-symfony-messenger \) -o \
	       \( $$deb_pkg_name = php-symfony-notifier \) -o \
	       \( $$deb_pkg_name = php-symfony-translation \) ] ; then \
	   dh_install \
		-X.md \
		-Xcomposer.json \
		-XBridge \
		-XLICENSE \
		-Xphpunit.xml.dist \
		-XTests \
		--package=$$deb_pkg_name \
		$$src_path/* \
		usr/share/php/Symfony/$$pkg_path/; \
	  else \
	   dh_install \
		-X.git \
		-X.md \
		-Xcomposer.json \

## symfony 6.4.18+dfsg

=== debian/changelog ===
symfony (6.4.18+dfsg-1ubuntu1) plucky; urgency=medium

  * d/rules: do not fail on test failures to allow php8.4 migration. The
    current test suite fails due to deprecation warning (not errors). Once
    the php8.4 transition is over, this should be dropped.
  * d/p/Workaround-ICU-new-format.patch: adjust for Ubuntu ICU
  * d/tests: skip autopkgtests for php8.4 transition. Drop this after the
    transition is over

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Tue, 18 Feb 2025 18:40:33 -0300

symfony (6.4.18+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.18

  [ Grégoire Paris ]
  * Add support for doctrine/persistence 4

 -- David Prévot <taffit@debian.org>  Wed, 29 Jan 2025 22:53:06 +0100

symfony (6.4.17+dfsg-6) unstable; urgency=medium

  * Source-only upload

 -- David Prévot <taffit@debian.org>  Tue, 14 Jan 2025 16:36:54 +0100

symfony (6.4.17+dfsg-5) unstable; urgency=medium

  * Drop php-symfony-polyfill-php83 requirement now that PHP 8.4 is the default

 -- David Prévot <taffit@debian.org>  Tue, 14 Jan 2025 16:18:14 +0100

symfony (6.4.17+dfsg-4) unstable; urgency=medium

  * Depend on recent PHPUnit for debci

 -- David Prévot <taffit@debian.org>  Mon, 13 Jan 2025 19:21:56 +0100

symfony (6.4.17+dfsg-3) unstable; urgency=medium

  * Drop test currently failing on buildd

 -- David Prévot <taffit@debian.org>  Sun, 12 Jan 2025 17:38:07 +0100

symfony (6.4.17+dfsg-2) unstable; urgency=medium

  * Drop incorrect markTestSkipped for ICU
  * PHPUnit 11 fixes (Closes: #1039856):
    + Drop listeners from phpunit.xml
    + Drop SymfonyTestsListener from php-symfony-phpunit-bridge
    + Drop never ending tests with PHPUnit 11
    + Use --exclude-group multiple times
    + Remove calls to getExpectedException()
    + Group nophpunit11 for tests failing with PHPUnit 11

 -- David Prévot <taffit@debian.org>  Sat, 11 Jan 2025 13:59:55 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: symfony
-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
 Section: php
 Priority: optional
@@ -56,7 +57,6 @@
                      php-sqlite3,
                      php-symfony-contracts (>= 3),
                      php-symfony-mercure-bundle,
-                     php-symfony-polyfill-php83,
                      php-symfony-security-acl,
                      php-twig,
                      php-twig-cssinliner-extra,
@@ -276,4 +276,3 @@
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
 Homepage: https://symfony.com/doc/6.4/components/event_dispatcher.html
-Description: dispatch events and listen to them

=== debian/rules ===
--- 
+++ 
@@ -115,9 +115,12 @@
 	ln -s /usr/share/php/Symfony/Polyfill build/Symfony
 	ln -s /usr/share/php/Twig build
 	ln -s build/Symfony .
+	# Drop never ending testsuite with PHPUnit 11
+	rm -f build/Symfony/Component/HttpKernel/phpunit.xml.dist
+	rm -f build/Symfony/Component/RateLimiter/phpunit.xml.dist
 	# Actual tests suite
-	components=$$(find build/Symfony -mindepth 3 -maxdepth 4 -type f -name phpunit.xml.dist -printf '%h\n') && \
-	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; SYMFONY_DEPRECATIONS_HELPER=weak php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --include build --colors=always --exclude-group jwt,network,tty,benchmark,intl-data,functional,composer {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';
+	-components=$$(find build/Symfony -mindepth 3 -maxdepth 4 -type f -name phpunit.xml.dist -printf '%h\n') && \
+	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; SYMFONY_DEPRECATIONS_HELPER=weak php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --include build --colors=always --exclude-group jwt --exclude-group network --exclude-group tty --exclude-group benchmark --exclude-group intl-data --exclude-group functional --exclude-group composer --exclude-group nophpunit11 {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';
 
 override_dh_phpcomposer:
 	dh_phpcomposer --package=php-symfony --sourcedirectory=./
@@ -146,19 +149,3 @@
 	  if [ \( $$deb_pkg_name = php-symfony-mailer \) -o \
 	       \( $$deb_pkg_name = php-symfony-messenger \) -o \
 	       \( $$deb_pkg_name = php-symfony-notifier \) -o \
-	       \( $$deb_pkg_name = php-symfony-translation \) ] ; then \
-	   dh_install \
-		-X.md \
-		-Xcomposer.json \
-		-XBridge \
-		-XLICENSE \
-		-Xphpunit.xml.dist \
-		-XTests \
-		--package=$$deb_pkg_name \
-		$$src_path/* \
-		usr/share/php/Symfony/$$pkg_path/; \
-	  else \
-	   dh_install \
-		-X.git \
-		-X.md \
-		-Xcomposer.json \

## symfony 6.4.19+dfsg

=== debian/changelog ===
symfony (6.4.19+dfsg-2) unstable; urgency=medium

  * Drop patches not needed anymore
  * Test suite now compatible with PHP 8.4.5
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Mon, 24 Mar 2025 07:32:50 +0100

symfony (6.4.19+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.19

  [ David Prévot ]
  * ntfy-notifier: tfix in description (Closes: #1095786)

  [ Alexandre Daubois ]
  * [TwigBridge] Fix compatibility with Twig 3.21
  * [DoctrineBridge] Fix deprecation with `doctrine/dbal` ^4.3

 -- David Prévot <taffit@debian.org>  Thu, 27 Feb 2025 23:10:45 +0100

## symfony 6.4.20+dfsg

=== debian/changelog ===
symfony (6.4.20+dfsg-2) unstable; urgency=medium

  * Skip tests failing with PHPUnit 11.5.17-1 (Closes: #1103209)

 -- David Prévot <taffit@debian.org>  Tue, 15 Apr 2025 09:06:12 +0200

symfony (6.4.20+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.20

  [ David Prévot ]
  * Make provider function static (PHPUnit 11 Fix)

 -- David Prévot <taffit@debian.org>  Sat, 29 Mar 2025 10:17:51 +0100

## symfony 6.4.21+dfsg

=== debian/changelog ===
symfony (6.4.21+dfsg-2ubuntu1) questing; urgency=medium

  * d/rules: disable license checking (LP: #2119335)
  * d/p/fix-html5-content-with-errors.patch: Adapt test which expects
    invalid HTML content to be HTML5 compliant (LP: #2116038)

 -- Renan Rodrigo <renanrodrigo@canonical.com>  Tue, 05 Aug 2025 11:27:48 -0300

symfony (6.4.21+dfsg-2) unstable; urgency=medium

  * Drop tests currently failing on reproducible infrastructure

 -- David Prévot <taffit@debian.org>  Mon, 05 May 2025 08:04:39 +0200

symfony (6.4.21+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.21

 -- David Prévot <taffit@debian.org>  Fri, 02 May 2025 10:57:25 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,8 @@
 Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
 Section: php
 Priority: optional
-Standards-Version: 4.7.0
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-phpcomposer,
-               pkg-php-tools
+Standards-Version: 4.7.2
+Build-Depends: debhelper-compat (= 13), dh-sequence-phpcomposer, pkg-php-tools
 Build-Depends-Indep: composer,
                      dctrl-tools,
                      file,
@@ -276,3 +274,4 @@
 Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: ${phpcomposer:Debian-provide}
 Homepage: https://symfony.com/doc/6.4/components/event_dispatcher.html
+Description: dispatch events and listen to them

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,8 @@
 	dh $@
 
 override_dh_auto_build:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
-	# Check if licenses of all images are properly covered in d/copyright
-	./debian/licensing/bin/check_image_licenses --check
-else
 	@echo "** image license check disabled"
-endif
+
 	phpab \
 		--template debian/autoload.php.tpl \
 		--output src/Symfony/autoload.php \
@@ -119,7 +115,7 @@
 	rm -f build/Symfony/Component/HttpKernel/phpunit.xml.dist
 	rm -f build/Symfony/Component/RateLimiter/phpunit.xml.dist
 	# Actual tests suite
-	-components=$$(find build/Symfony -mindepth 3 -maxdepth 4 -type f -name phpunit.xml.dist -printf '%h\n') && \
+	components=$$(find build/Symfony -mindepth 3 -maxdepth 4 -type f -name phpunit.xml.dist -printf '%h\n') && \
 	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; SYMFONY_DEPRECATIONS_HELPER=weak php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --include build --colors=always --exclude-group jwt --exclude-group network --exclude-group tty --exclude-group benchmark --exclude-group intl-data --exclude-group functional --exclude-group composer --exclude-group nophpunit11 {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';
 
 override_dh_phpcomposer:
@@ -149,3 +145,13 @@
 	  if [ \( $$deb_pkg_name = php-symfony-mailer \) -o \
 	       \( $$deb_pkg_name = php-symfony-messenger \) -o \
 	       \( $$deb_pkg_name = php-symfony-notifier \) -o \
+	       \( $$deb_pkg_name = php-symfony-translation \) ] ; then \
+	   dh_install \
+		-X.md \
+		-Xcomposer.json \
+		-XBridge \
+		-XLICENSE \
+		-Xphpunit.xml.dist \
+		-XTests \
+		--package=$$deb_pkg_name \
+		$$src_path/* \

## symfony 6.4.24+dfsg

=== src/Symfony/Component/Intl/Resources/emoji/Makefile ===
.PHONY: help update build
.DEFAULT_GOAL := help

update: ## Update sources
	@composer update
	@curl https://api.github.com/emojis > vendor/github-emojis.json
	@curl https://raw.githubusercontent.com/iamcal/emoji-data/master/emoji.json > vendor/slack-emojis.json
	@curl -L https://unicode.org/Public/emoji/latest/emoji-test.txt > vendor/emoji-test.txt

build: ## Build rules
	@./build.php

help:
	@grep -E '^[a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) | sort | awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-7s\033[0m %s\n", $$1, $$2}'

=== debian/changelog ===
symfony (6.4.24+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.24

  [ David Prévot ]
  * Skip another failing test on reproducible infrastructure
  * Fix test failure with libxml 2.14.x (Closes: #1107547)

 -- David Prévot <taffit@debian.org>  Mon, 18 Aug 2025 07:34:17 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: symfony
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
+Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
 Section: php
 Priority: optional
@@ -275,3 +274,4 @@
 Provides: ${phpcomposer:Debian-provide}
 Homepage: https://symfony.com/doc/6.4/components/event_dispatcher.html
 Description: dispatch events and listen to them
+ The Symfony EventDispatcher Component implements the mediator pattern

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,12 @@
 	dh $@
 
 override_dh_auto_build:
+ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
+	# Check if licenses of all images are properly covered in d/copyright
+	./debian/licensing/bin/check_image_licenses --check
+else
 	@echo "** image license check disabled"
-
+endif
 	phpab \
 		--template debian/autoload.php.tpl \
 		--output src/Symfony/autoload.php \
@@ -145,13 +149,3 @@
 	  if [ \( $$deb_pkg_name = php-symfony-mailer \) -o \
 	       \( $$deb_pkg_name = php-symfony-messenger \) -o \
 	       \( $$deb_pkg_name = php-symfony-notifier \) -o \
-	       \( $$deb_pkg_name = php-symfony-translation \) ] ; then \
-	   dh_install \
-		-X.md \
-		-Xcomposer.json \
-		-XBridge \
-		-XLICENSE \
-		-Xphpunit.xml.dist \
-		-XTests \
-		--package=$$deb_pkg_name \
-		$$src_path/* \

=== debian/tests/control ===
Tests: phpunit
Restrictions: allow-stderr, rw-build-tree
Depends: composer,
         locales-all,
         parallel,
         patch,
         php-amqp,
         php-apcu,
         php-async-aws-sqs,
         php-cache-integration-tests,
         php-curl,
         php-doctrine-annotations,
         php-doctrine-data-fixtures,
         php-doctrine-orm,
         php-dragonmantank-cron-expression,
         php-email-validator,
         php-gd,
         php-guzzlehttp-promises,
         php-http-httplug,
         php-http-message-factory,
         php-league-html-to-markdown,
         php-masterminds-html5,
         php-memcached,
         php-nyholm-psr7,
         php-pgsql,
         php-phpdocumentor-reflection-docblock,
         php-phpstan-phpdoc-parser,
         php-predis,
         php-psr-http-client,
         php-psr-simple-cache,
         php-redis,
         php-sqlite3,
         php-symfony-mercure-bundle,
         php-symfony-security-acl,
         php-twig-cssinliner-extra,
         php-twig-inky-extra,
         php-twig-markdown-extra,
         php8.4-common (>= 8.4.5),
         phpab,
         phpunit (>= 11),
         @

## symfony 6.4.25+dfsg

=== debian/changelog ===
symfony (6.4.25+dfsg-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update VERSION for 6.4.25

  [ David Prévot ]
  * Remove Rules-Requires-Root
  * Use --include-path instead of --include for phpunit
  * PHPunit 12 compatibility

 -- David Prévot <taffit@debian.org>  Sat, 30 Aug 2025 17:11:59 +0200

=== debian/control ===
--- 
+++ 
@@ -60,12 +60,12 @@
                      php-twig-inky-extra,
                      php-twig-markdown-extra,
                      php-uuid,
+                     php-zstd,
                      phpab,
                      phpunit
 Homepage: https://symfony.com/
 Vcs-Browser: https://salsa.debian.org/php-team/pear/symfony
 Vcs-Git: https://salsa.debian.org/php-team/pear/symfony.git -b debian/6
-Rules-Requires-Root: no
 
 Package: php-symfony
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -120,7 +120,7 @@
 	rm -f build/Symfony/Component/RateLimiter/phpunit.xml.dist
 	# Actual tests suite
 	components=$$(find build/Symfony -mindepth 3 -maxdepth 4 -type f -name phpunit.xml.dist -printf '%h\n') && \
-	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; SYMFONY_DEPRECATIONS_HELPER=weak php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --include build --colors=always --exclude-group jwt --exclude-group network --exclude-group tty --exclude-group benchmark --exclude-group intl-data --exclude-group functional --exclude-group composer --exclude-group nophpunit11 {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';
+	 echo "$$components" | parallel --gnu --keep-order '/bin/echo -e "\\nRunning {} tests"; SYMFONY_DEPRECATIONS_HELPER=weak php -d assert.exception=1 -d zend.assertions=1 /usr/bin/phpunit --include-path build --colors=always --exclude-group jwt --exclude-group network --exclude-group tty --exclude-group benchmark --exclude-group intl-data --exclude-group functional --exclude-group composer --exclude-group nophpunit11 --exclude-group nophpunit12 {} || (/bin/echo -e "\\e[41mKO\\e[0m {}" && $$(exit 1));';
 
 override_dh_phpcomposer:
 	dh_phpcomposer --package=php-symfony --sourcedirectory=./

=== debian/tests/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
          php-twig-cssinliner-extra,
          php-twig-inky-extra,
          php-twig-markdown-extra,
-         php8.4-common (>= 8.4.5),
+         php-zstd,
          phpab,
-         phpunit (>= 11),
+         phpunit,
          @

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//,uversionmangle=s/-?([^\d.]+)/~$1/;tr/A-Z/a-z/,\
mode=git,gitmode=full,gitexport=all \
https://github.com/symfony/symfony \
refs/tags/v?(6.+)
